### Method

# GLib Tree unref

since: 2.22

#### Declaration

    void
    g_tree_unref (
      GTree* tree
    )

#### Description

Decrements the reference count of `tree` by one. If the reference count drops to 0, all keys and values will be destroyed (if destroy functions were specified) and all memory allocated by `tree` will be released.

It is safe to call this function from any thread.

Available since: 2.22